## kdeconnect 25.08.0

=== debian/changelog ===
kdeconnect (25.08.0-0zneon+24.04+noble+release+build40) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 11:08:02 +0000

kdeconnect (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:25:55 +0000

kdeconnect (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:10:14 +0000

kdeconnect (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:10:42 +0000

kdeconnect (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:00:51 +0000

kdeconnect (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:00:00 +0000

kdeconnect (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:22:46 +0000

kdeconnect (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:16:23 +0000

kdeconnect (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:07:11 +0000

kdeconnect (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:04:26 +0000

kdeconnect (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:04:32 +0000

kdeconnect (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:42:21 +0000

kdeconnect (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:18:01 +0000

kdeconnect (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Aug 2024 16:12:05 +0000

kdeconnect (24.05.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:23:31 +0000

kdeconnect (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:00:15 +0000

kdeconnect (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:23:29 +0000

kdeconnect (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:11:49 +0000

kdeconnect (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:47:06 +0000

kdeconnect (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 15:30:27 +0000

kdeconnect (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:22:10 +0000

kdeconnect (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:07:22 +0000

kdeconnect (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:52:43 +0000

kdeconnect (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:33:14 +0000

kdeconnect (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:10:16 +0000

kdeconnect (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:40:51 +0000

kdeconnect (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:19:42 +0000

kdeconnect (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:24:51 +0000

kdeconnect (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:46:27 +0000

kdeconnect (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:14:27 +0000

kdeconnect (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:50:11 +0000

kdeconnect (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:34:59 +0000

kdeconnect (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:59:22 +0000

kdeconnect (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:55:00 +0000

kdeconnect (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:08:07 +0000

kdeconnect (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:58:25 +0000

kdeconnect (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:59:46 +0000

kdeconnect (21.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:00:34 +0000

kdeconnect (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:36:44 +0000

kdeconnect (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 07:54:04 +0000

kdeconnect (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:32:04 +0000

kdeconnect (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:19:10 +0000

kdeconnect (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:52:49 +0000

kdeconnect (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:23:06 +0000

kdeconnect (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:53:18 +0000

kdeconnect (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:21:11 +0000

kdeconnect (20.12.3-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-kpeople-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwayland-dev,
               kf6-modemmanager-qt-dev,
               kf6-qqc2-desktop-style-dev,
               libdbus-1-dev,
               libfakekey-dev,
               libkf6pulseaudioqt-dev,
               libqca-qt6-2-dev,
               libwayland-bin,
               libwayland-dev,
               libx11-dev,
               libxtst-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-wayland-protocols,
               qml6-module-org-kde-people,
               qml6-module-qtquick-particles,
               qt6-base-dev,
               qt6-base-private-dev,
               qt6-connectivity-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-wayland-dev-tools,
               wayland-protocols
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://kdeconnect.kde.org
Vcs-Git: https://invent.kde.org/neon/kde/kdeconnect.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdeconnect
Maintainer: Neon CI <neon@kde.org>

Package: kdeconnect
Architecture: any
Depends: kde-cli-tools,
         kf6-kirigami-addons,
         kf6-plasma-framework,
         libqca-qt6-2-plugins,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-people,
         qml6-module-org-kde-qqc2desktopstyle,
         qml6-module-qt-labs-platform,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-particles,
         sshfs,
         ${misc:Depends},
         ${shlibs:Depends}
Description: connect smartphones to your KDE Plasma Workspace
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.

Package: kdeconnect-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: oldlibs
Priority: optional
Description: connect smartphones to your KDE Plasma Workspace - transitional
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.
 .
 This is a dummy package which can be removed.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>
# SPDX-FileCopyrightText: 2024 Harald Sitter <sitter@kde.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	# TEMPORARILY disable bluetooth link because it blocks plasma startup
	# https://invent.kde.org/network/kdeconnect-kde/-/merge_requests/600#note_884500
	# https://invent.kde.org/network/kdeconnect-kde/-/merge_requests/643
	# https://invent.kde.org/network/kdeconnect-kde/-/merge_requests/651
	failat=$(shell date -d 2025-09-01 +%s); \
	now=$(shell date -d now +%s); \
	if [ $$now -ge $$failat ]; then \
		/bin/false; \
	fi
	dh_auto_configure -- -DBLUETOOTH_ENABLED=OFF

## kdeconnect 25.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Release Service Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kdeconnect VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.0.0")
set(QT_MIN_VERSION "6.7.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
#set(CMAKE_COMPILE_WARNING_AS_ERROR TRUE)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMGenerateQmlTypes)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMFindQmlModule)
include(ECMQmlModule)
include(ECMDeprecationSettings)

include(KDEConnectMacros.cmake)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KDECONNECT
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/kdeconnect-version.h
)

ecm_set_disabled_deprecation_versions(
    QT 6.6
    KF 6.5
)

# Make the version header available by linking against kdeconnectversion
add_library(kdeconnectversion INTERFACE)
target_include_directories(kdeconnectversion INTERFACE ${CMAKE_CURRENT_BINARY_DIR})

set_package_properties(KF6Kirigami2 PROPERTIES
    DESCRIPTION "QtQuick plugins to build user interfaces based on KDE UX guidelines"
    PURPOSE "Required for KDE Connect's QML-based GUI applications"
    URL "https://www.kde.org/products/kirigami/"
    TYPE RUNTIME
)

find_package(KF6KirigamiAddons 0.11 REQUIRED)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required runtime dependency (all the modules are required)"
)

if(UNIX AND NOT APPLE)
    option(WITH_X11 "Build with X11 support" ON)
    option(WITH_PULSEAUDIO "Build with Pulseaudio support" ON)
else()
    set(WITH_X11 OFF)
    set(WITH_PULSEAUDIO OFF)
endif()

if(UNIX AND NOT APPLE)
    find_package(KF6Package REQUIRED)
    if (WITH_PULSEAUDIO)
        find_package(KF6PulseAudioQt REQUIRED)
    endif()
    find_package(QtWaylandScanner REQUIRED)
    find_package(Wayland 1.9 REQUIRED Client)
    find_package(Qt6 REQUIRED COMPONENTS WaylandClient)
    find_package(WaylandProtocols REQUIRED)
    pkg_check_modules(XkbCommon IMPORTED_TARGET xkbcommon)
    find_package(PkgConfig QUIET REQUIRED)
    pkg_check_modules(DBus REQUIRED IMPORTED_TARGET dbus-1)
endif()

if (NOT WIN32)
    find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)
endif()

#ecm_find_qmlmodule(org.kde.people 1.0) FIXME This results in KPeople code being called which triggers DBus calls which breaks the Windows CI
ecm_find_qmlmodule(QtQuick.Particles 2.0)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_KEYWORDS -DQT_NO_CAST_FROM_ASCII)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus Quick QuickWidgets QuickControls2 Network Multimedia)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n DBusAddons IconThemes Notifications
    KIO ColorScheme Service Solid Kirigami People WindowSystem GuiAddons Crash ItemModels)

if (WIN32)
    get_filename_component(WINDOWS_KITS_DIR
        "[HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows Kits\\Installed Roots;KitsRoot10]" ABSOLUTE)
    file(READ "${WINDOWS_KITS_DIR}/SDKManifest.xml" SDK_MANIFEST)
    string(REGEX MATCH "PlatformIdentity[^\n]*" PLATFORM_IDENTITY "${SDK_MANIFEST}" )
    string(REGEX MATCH "[0-9][0-9][0-9][0-9][0-9]" WIN_SDK_VERSION "${PLATFORM_IDENTITY}" )
    add_compile_definitions(WIN_SDK_VERSION=${WIN_SDK_VERSION})
endif()

add_subdirectory(core)
add_subdirectory(plugins)
add_subdirectory(interfaces)

find_package(KF6QQC2DesktopStyle ${KF_MIN_VERSION} REQUIRED)
set_package_properties(KF6QQC2DesktopStyle PROPERTIES TYPE RUNTIME)

add_subdirectory(icons)
add_subdirectory(data)
add_subdirectory(cli)
add_subdirectory(declarativeplugin)
add_subdirectory(daemon)
add_subdirectory(app)
add_subdirectory(indicator)
add_subdirectory(urlhandler)
add_subdirectory(nautilus-extension)
add_subdirectory(fileitemactionplugin)
add_subdirectory(smsapp)

if(NOT WIN32 AND NOT APPLE)
    add_subdirectory(kio)
    add_subdirectory(plasmoid)
endif()

ki18n_install(po)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

ecm_qt_install_logging_categories(EXPORT kdeconnect-kde FILE kdeconnect-kde.categories SORT DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}")

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== app/CMakeLists.txt ===
qt_add_resources(kdeconnect_custom_icons_SRCS ${CMAKE_SOURCE_DIR}/icons/custom_icons.qrc)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KDECONNECT
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/kdeconnect-version.h
)

if (WIN32)
    include(ECMAddAppIcon)
    ecm_add_app_icon(kdeconnect_SRCS ICONS
        ${CMAKE_SOURCE_DIR}/icons/app/sc-apps-kdeconnect.svg
        ${CMAKE_SOURCE_DIR}/icons/windows/32-apps-kdeconnect.png
        ${CMAKE_SOURCE_DIR}/icons/windows/48-apps-kdeconnect.png
        ${CMAKE_SOURCE_DIR}/icons/windows/64-apps-kdeconnect.png
        ${CMAKE_SOURCE_DIR}/icons/windows/128-apps-kdeconnect.png
        ${CMAKE_SOURCE_DIR}/icons/windows/256-apps-kdeconnect.png
        ${CMAKE_SOURCE_DIR}/icons/windows/512-apps-kdeconnect.png
    )
endif()

add_executable(kdeconnect-app
    main.cpp
    ${kdeconnect_SRCS}
    ${kdeconnect_custom_icons_SRCS}
)

ecm_add_qml_module(kdeconnect-app URI org.kde.kdeconnect.app)

ecm_target_qml_sources(kdeconnect-app SOURCES
    qml/Main.qml
    qml/mpris.qml
    qml/mousepad.qml
    qml/presentationRemote.qml
    qml/PluginItem.qml
    qml/DevicePage.qml
    qml/runcommand.qml
    qml/volume.qml
    qml/MprisSlider.qml
    qml/PluginSettings.qml
    qml/Settings.qml
    qml/WelcomePage.qml
)

target_link_libraries(kdeconnect-app PRIVATE Qt::Quick Qt::QuickControls2 Qt::Widgets KF6::CoreAddons KF6::I18n KF6::ColorScheme KF6::Crash KF6::ItemModels KF6::DBusAddons KF6::WindowSystem)

install(TARGETS kdeconnect-app ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kdeconnect.app.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== core/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdeconnect-core\")


option(MDNS_ENABLED "Use MDNS for device discovery" ON)

add_subdirectory(backends/lan)
add_subdirectory(backends/loopback)

option(BLUETOOTH_ENABLED "Bluetooth support for kdeconnect" ON)
if(BLUETOOTH_ENABLED)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Bluetooth)
    add_subdirectory(backends/bluetooth)
endif()

option(LOOPBACK_ENABLED "Loopback backend enabled" OFF)

add_library(kdeconnectcore)
target_sources(kdeconnectcore PRIVATE
    ${backends_kdeconnect_SRCS}

    backends/linkprovider.cpp
    backends/devicelink.cpp
    backends/pairinghandler.cpp

    kdeconnectplugin.cpp
    kdeconnectpluginconfig.cpp
    pluginloader.cpp

    kdeconnectconfig.cpp
    dbushelper.cpp
    networkpacket.cpp
    filetransferjob.cpp
    compositefiletransferjob.cpp
    daemon.cpp
    device.cpp
    sslhelper.cpp
    core_debug.cpp
    notificationserverinfo.cpp
    openconfig.cpp
)
ecm_qt_declare_logging_category(kdeconnectcore
    HEADER kdeconnect_debug.h
    IDENTIFIER KDECONNECT_CORE CATEGORY_NAME kdeconnect.core
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (core)")


target_include_directories(kdeconnectcore PUBLIC ${PROJECT_SOURCE_DIR})

find_package(OpenSSL REQUIRED COMPONENTS Crypto)

target_link_libraries(kdeconnectcore
PUBLIC
    Qt::Network
    KF6::CoreAddons
    KF6::KIOCore
    KF6::KIOGui
    OpenSSL::Crypto
PRIVATE
    Qt::DBus
    KF6::I18n
    KF6::ConfigCore
)

if(WIN32)
    target_link_libraries(kdeconnectcore PRIVATE ws2_32.lib) # winsock2
endif()

if (BLUETOOTH_ENABLED)
    target_compile_definitions(kdeconnectcore PRIVATE -DKDECONNECT_BLUETOOTH)
    target_link_libraries(kdeconnectcore PRIVATE Qt6::Bluetooth)
endif()

if (LOOPBACK_ENABLED)
    target_compile_definitions(kdeconnectcore PRIVATE -DKDECONNECT_LOOPBACK)
endif()

if (MDNS_ENABLED)
    target_compile_definitions(kdeconnectcore PRIVATE -DKDECONNECT_MDNS)
endif()

set_target_properties(kdeconnectcore PROPERTIES
    VERSION ${KDECONNECT_VERSION}
    SOVERSION ${KDECONNECT_VERSION_MAJOR}
)

generate_export_header(kdeconnectcore EXPORT_FILE_NAME kdeconnectcore_export.h BASE_NAME KDEConnectCore)

install(TARGETS kdeconnectcore EXPORT kdeconnectLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== icons/CMakeLists.txt ===

set(APP_ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/app/sc-apps-kdeconnect.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/app/sc-apps-kdeconnectindicator.svg)

list(APPEND APP_ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/app/sc-apps-kdeconnectindicatordark.svg)

if(APPLE)
    # Craft adds share/icons into blacklist, which will not be copied into the bundle
    # As a workaround, on macOS, set KDE_INSTALL_ICONDIR to another path
    set(KDE_INSTALL_ICONDIR share/kdeconnect-icons)
endif()

ecm_install_icons(ICONS ${APP_ICONS} DESTINATION ${KDE_INSTALL_ICONDIR})

ecm_install_icons(ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-laptopconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-laptopdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-laptoptrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-smartphoneconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-smartphonedisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-smartphonetrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-tabletconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-tabletdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-tablettrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-tvconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-tvdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-tvtrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-laptopconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-laptopdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-laptoptrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-smartphoneconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-smartphonedisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-smartphonetrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-tabletconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-tabletdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-tablettrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-tvconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-tvdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-tvtrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-laptopconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-laptopdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-laptoptrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-smartphoneconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-smartphonedisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-smartphonetrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-tabletconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-tabletdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-tablettrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-tvconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-tvdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-tvtrusted.svg
    DESTINATION ${KDE_INSTALL_ICONDIR})

=== interfaces/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdeconnect-interfaces\")

# geninterface generates a Qt class that is an interface to DBus
# source_file can a DBus XML definition or QObject class header that is exposed through DBus
# output_basename is the path and filename that will be generated (.h and .cpp will be appended to this)
# The new targets are appended to the ${interfaces_SRC} variable in the parent scope.
function(geninterface source_file output_basename)
    if(${source_file} MATCHES ".*\.xml$")
        set(xml_file ${source_file})
    else()
        set(xml_file ${CMAKE_CURRENT_BINARY_DIR}/${output_basename}.xml)
        qt_generate_dbus_interface(${source_file} ${xml_file})
    endif()

    # Fixes "redefinition of 'MediaPlayer2' as different kind of symbol"
    set_source_files_properties(${xml_file} PROPERTIES NO_NAMESPACE true)

    qt_add_dbus_interface(generated_sources ${xml_file} ${output_basename})

    # Hack to append clazy:skip to generated files
    set(fake_file ${output_basename}_replaced)
    add_custom_command(OUTPUT ${fake_file}
        COMMAND ${CMAKE_COMMAND} -E echo "// clazy:skip" >> ${output_basename}.h
        COMMAND ${CMAKE_COMMAND} -E touch ${fake_file}
        DEPENDS ${output_basename}.h
    )

    set(interfaces_SRC ${interfaces_SRC} ${generated_sources} ${fake_file} PARENT_SCOPE)
endfunction()

set(interfaces_SRC
    dbusinterfaces.cpp
    devicesmodel.cpp
    notificationsmodel.cpp
    devicessortproxymodel.cpp
    conversationmessage.cpp
    remotecommandsmodel.cpp
    remotesinksmodel.cpp
    devicespluginfilterproxymodel.cpp
    pluginmodel.cpp
    commandsmodel.cpp
)

# KDE Connect interfaces
geninterface(${PROJECT_SOURCE_DIR}/core/daemon.h generated/daemoninterface)
geninterface(${PROJECT_SOURCE_DIR}/core/device.h generated/deviceinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/battery/batteryplugin.h generated/batteryinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/connectivity-report/connectivity_reportplugin.h generated/connectivityinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/sftp/sftpplugin.h generated/devicesftpinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/notifications/notificationsplugin.h generated/devicenotificationsinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/findmyphone/findmyphoneplugin.h generated/devicefindmyphoneinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/notifications/notification.h generated/notificationinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/mprisremote/mprisremoteplugin.h generated/mprisremoteinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/remotecontrol/remotecontrolplugin.h generated/remotecontrolinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/lockdevice/lockdeviceplugin.h generated/lockdeviceinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/remotecommands/remotecommandsplugin.h generated/remotecommandsinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/remotekeyboard/remotekeyboardplugin.h generated/remotekeyboardinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/sms/smsplugin.h generated/smsinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/sms/conversationsdbusinterface.h generated/conversationsinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/share/shareplugin.h generated/shareinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/remotesystemvolume/remotesystemvolumeplugin.h generated/remotesystemvolumeinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/bigscreen/bigscreenplugin.h generated/bigscreeninterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/virtualmonitor/virtualmonitorplugin.h generated/virtualmonitorinterface)
geninterface(${PROJECT_SOURCE_DIR}/plugins/clipboard/clipboardplugin.h generated/deviceclipboardinterface)

# System dbus interfaces
if (UNIX AND NOT APPLE)
    geninterface(systeminterfaces/org.freedesktop.login1.xml generated/systeminterfaces/login1)
    geninterface(systeminterfaces/org.freedesktop.ScreenSaver.xml generated/systeminterfaces/screensaver)
    geninterface(systeminterfaces/org.freedesktop.DBus.Properties.xml generated/systeminterfaces/dbusproperties)
    geninterface(systeminterfaces/org.mpris.MediaPlayer2.Player.xml generated/systeminterfaces/mprisplayer)
    geninterface(systeminterfaces/org.mpris.MediaPlayer2.xml generated/systeminterfaces/mprisroot)
    geninterface(systeminterfaces/org.freedesktop.portal.RemoteDesktop.xml generated/systeminterfaces/remotedesktop)
endif()

add_library(kdeconnectinterfaces STATIC)
set_property(TARGET kdeconnectinterfaces PROPERTY POSITION_INDEPENDENT_CODE ON)

target_sources(kdeconnectinterfaces PRIVATE ${interfaces_SRC})

ecm_qt_declare_logging_category(kdeconnectinterfaces
    HEADER interfaces_conversation_message_debug.h
    IDENTIFIER CONVERSATION_MESSAGE_LOGGING_CATEGORY CATEGORY_NAME kdeconnect.interfaces.conversationmessage
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (conversation message)")

ecm_qt_declare_logging_category(kdeconnectinterfaces
    HEADER interfaces_debug.h
    IDENTIFIER KDECONNECT_INTERFACES CATEGORY_NAME kdeconnect.interfaces
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (interfaces)")


set_target_properties(kdeconnectinterfaces PROPERTIES
    VERSION ${KDECONNECT_VERSION}
    SOVERSION ${KDECONNECT_VERSION_MAJOR}
)

generate_export_header(kdeconnectinterfaces EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectinterfaces_export.h BASE_NAME KDEConnectInterfaces)

target_link_libraries(kdeconnectinterfaces
LINK_PUBLIC
    Qt::Gui
    Qt::DBus
    KF6::ConfigCore
LINK_PRIVATE
    kdeconnectcore
    KF6::I18n
    kdeconnectcore
    KF6::CoreAddons
)

install(TARGETS kdeconnectinterfaces EXPORT kdeconnectLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== kio/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-kio")

kcoreaddons_add_plugin(kio_kdeconnect SOURCES kiokdeconnect.cpp INSTALL_NAMESPACE "kf6/kio")

set_target_properties(kio_kdeconnect PROPERTIES OUTPUT_NAME "kdeconnect")
ecm_qt_declare_logging_category(kio_kdeconnect
    HEADER kdeconnectkio_debug.h
    IDENTIFIER KDECONNECT_KIO CATEGORY_NAME kdeconnect.kio
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (kio)")


target_link_libraries(kio_kdeconnect
    kdeconnectinterfaces
    Qt::Core
    Qt::Network
    KF6::KIOCore
    KF6::I18n
)

=== plasmoid/CMakeLists.txt ===
kpackage_install_package(package org.kde.kdeconnect plasmoids plasma SKIP_APPSTREAM)

=== plugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdeconnect-plugins\")

add_subdirectory(ping)
add_subdirectory(connectivity-report)
add_subdirectory(remotecommands)
add_subdirectory(remotecontrol)
add_subdirectory(remotesystemvolume)
add_subdirectory(clipboard)
add_subdirectory(runcommand)


if(NOT WIN32)
    # https://bugs.kde.org/show_bug.cgi?id=444612
    add_subdirectory(battery)
endif()

if(NOT WIN32 AND NOT APPLE)
    add_subdirectory(bigscreen)
endif()

add_subdirectory(presenter)

if((WIN32 AND MSVC AND ("${CMAKE_SYSTEM_VERSION}" VERSION_GREATER_EQUAL 10.0.17763.0)) OR (NOT WIN32 AND NOT APPLE))
    add_subdirectory(mpriscontrol)
endif()
add_subdirectory(mprisremote)
if(NOT APPLE)
    add_subdirectory(lockdevice)
endif()
add_subdirectory(contacts)
add_subdirectory(share)
add_subdirectory(remotekeyboard)
add_subdirectory(notifications)
add_subdirectory(findmyphone)
add_subdirectory(telephony)
add_subdirectory(mousepad)
add_subdirectory(sms)
add_subdirectory(screensaver-inhibit)
add_subdirectory(virtualmonitor)

if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    find_package(KF6ModemManagerQt ${KF_MIN_VERSION})
    if (TARGET KF6::ModemManagerQt)
        add_subdirectory(mmtelephony)
    endif()
endif()

if(NOT APPLE)
    add_subdirectory(sendnotifications)
    add_subdirectory(sftp)
endif()

if(WITH_PULSEAUDIO OR WIN32)
    add_subdirectory(pausemusic)
endif()

if(WITH_PULSEAUDIO OR WIN32)
    add_subdirectory(findthisdevice)
endif()

if (WITH_PULSEAUDIO OR WIN32 OR APPLE)
    add_subdirectory(systemvolume)
endif()


# If we split notifications per plugin, in several notifyrc files, they won't
# appear in the same group in the Notifications KCM
install(FILES kdeconnect.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== smsapp/CMakeLists.txt ===
add_library(kdeconnectsmshelper STATIC
    smshelper.cpp
    gsmasciimap.cpp
)

ecm_qt_declare_logging_category(kdeconnectsmshelper
    HEADER smshelper_debug.h
    IDENTIFIER KDECONNECT_SMS_SMSHELPER CATEGORY_NAME kdeconnect.sms.smshelper
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (smshelper)")
ecm_qt_declare_logging_category(kdeconnectsmshelper
    HEADER sms_conversation_debug.h
    IDENTIFIER KDECONNECT_SMS_CONVERSATION_MODEL CATEGORY_NAME kdeconnect.sms.conversation
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (sms conversation model)")
ecm_qt_declare_logging_category(kdeconnectsmshelper
    HEADER sms_conversations_list_debug.h
    IDENTIFIER KDECONNECT_SMS_CONVERSATIONS_LIST_MODEL CATEGORY_NAME kdeconnect.sms.conversations_list
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (sms conversations list)")


target_include_directories(kdeconnectsmshelper PUBLIC ${CMAKE_SOURCE_DIR})

target_link_libraries(kdeconnectsmshelper
    PUBLIC
    Qt::Core
    Qt::DBus
    KF6::People
    Qt::Qml
    kdeconnectinterfaces
)

qt_add_resources(kdeconnect_custom_icons_SRCS ${CMAKE_SOURCE_DIR}/icons/custom_icons.qrc)

add_executable(kdeconnect-sms
    main.cpp
    conversationlistmodel.cpp
    conversationmodel.cpp
    conversationssortfilterproxymodel.cpp
    thumbnailsprovider.cpp
    attachmentinfo.cpp
    ${kdeconnect_custom_icons_SRCS}
)

ecm_add_qml_module(kdeconnect-sms URI org.kde.kdeconnect.sms)

ecm_target_qml_sources(kdeconnect-sms SOURCES
    qml/Main.qml
    qml/ConversationList.qml
    qml/ConversationDisplay.qml
    qml/ChatMessage.qml
    qml/MessageAttachments.qml
    qml/AttachmentViewer.qml
    qml/SendingArea.qml
)

target_link_libraries(kdeconnect-sms PRIVATE
    kdeconnectsmshelper
    kdeconnectinterfaces
    kdeconnectversion
    Qt::Quick
    Qt::QuickControls2
    Qt::Widgets
    KF6::CoreAddons
    KF6::DBusAddons
    KF6::I18n
    KF6::People
    KF6::ColorScheme
    KF6::Crash
    )

install(TARGETS kdeconnect-sms ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kdeconnect.sms.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== urlhandler/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-urlhandler")

ki18n_wrap_ui(telhandler_SRCS dialog.ui)

qt_add_resources(kdeconnect_custom_icons_SRCS ${CMAKE_SOURCE_DIR}/icons/custom_icons.qrc)

add_executable(kdeconnect-handler kdeconnect-handler.cpp ${telhandler_SRCS} ${kdeconnect_custom_icons_SRCS})


target_link_libraries(kdeconnect-handler
    kdeconnectinterfaces
    kdeconnectcore
    kdeconnectversion
    Qt::Widgets
    Qt::QuickControls2
    KF6::CoreAddons
    KF6::ColorScheme
    KF6::DBusAddons
    KF6::I18n
    KF6::KIOCore
    KF6::KIOFileWidgets
    KF6::KIOWidgets
    KF6::Crash
)

install(TARGETS kdeconnect-handler ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kdeconnect.handler.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

=== plugins/bigscreen/CMakeLists.txt ===
kdeconnect_add_plugin(kdeconnect_bigscreen SOURCES bigscreenplugin.cpp)
target_link_libraries(kdeconnect_bigscreen
    kdeconnectcore
    kdeconnectinterfaces
    Qt::DBus
    KF6::I18n)

=== plugins/clipboard/CMakeLists.txt ===
kdeconnect_add_plugin(kdeconnect_clipboard SOURCES clipboardplugin.cpp clipboardlistener.cpp)

target_link_libraries(kdeconnect_clipboard kdeconnectcore
    Qt::DBus
    KF6::GuiAddons
    ${kdeconnect_clipboard_WL_LINK_LIBS}
)

install(FILES "kdeconnect_clipboard_config.qml" DESTINATION ${KDE_INSTALL_DATADIR}/kdeconnect)

=== debian/changelog ===
kdeconnect (25.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update the build dependencies according to the upstream build system:
    - add libkf6colorscheme-dev
    - drop no more needed: kpeople-vcard, libkf6configwidgets-dev,
      libkf6doctools-dev, libkf6kcmutils-dev, libqca-qt6-dev,
      plasma-wayland-protocols, and qt6-wayland-dev-tools
  * Switch the dbus-x11 build dependency to dbus-daemon for dbus-run-session.
    (Closes: #1117066)
  * Do not ship static libraries.
  * Update install files.
  * Drop no more needed lintian override.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Oct 2025 13:43:32 +0200

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16.0~),
               dbus-daemon <!nocheck>,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               kio6 <!nocheck>,
               kirigami-addons-dev (>= 0.11~),
               libdbus-1-dev,
               libfakekey-dev,
               libkf6colorscheme-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6itemmodels-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6modemmanagerqt-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6package-dev,
               libkf6people-dev (>= 6.0.0~),
               libkf6pulseaudioqt-dev,
               libkf6qqc2desktopstyle-dev (>= 6.0.0~),
               libkf6service-dev (>= 6.0.0~),
               libkf6solid-dev (>= 6.0.0~),
               libkf6statusnotifieritem-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               libssl-dev,
               libwayland-bin,
               libwayland-dev (>= 1.9~),
               libx11-dev,
               libxkbcommon-dev,
               libxtst-dev,
               pkgconf,
               plasma-desktoptheme,
               qml6-module-org-kde-kquickcontrolsaddons,
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev,
               qt6-connectivity-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-multimedia-dev (>= 6.7.0~),
               qt6-wayland-dev,
               wayland-protocols,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://kdeconnect.kde.org
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeconnect.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeconnect

Package: kdeconnect
Architecture: any
Depends: kirigami-addons-data,
         libqca-qt6-plugins,
         sshfs (>= 3),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Breaks: fuse (<< 3),
Description: connect smartphones to your desktop devices
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.

Package: kdeconnect-libs
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: kdeconnect (<< 24.08.3),
Replaces: kdeconnect (<< 24.08.3),
Description: KDE Connect internal libs
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.
 .
 This package contains the internal libs used by KDE Connect and thw QML module.

Package: nautilus-kdeconnect
Architecture: all
Depends: kdeconnect, nautilus, python3-nautilus, ${misc:Depends},
Enhances: nautilus,
Breaks: kdeconnect (<< 20.12),
Replaces: kdeconnect (<< 20.12),
Description: KDE Connect integration for Nautilus
 Extension providing integration to send files to KDE Connect compatible
 devices directly from within Nautilus.

Package: qml6-module-org-kde-kdeconnect
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: kdeconnect,
Description: QML module wrapping KDE Connect functionality
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.
 .
 This package contains the wrapper to use KDE Connect functionality from QML.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	- xvfb-run -a dbus-run-session dh_auto_test

execute_after_dh_auto_install:
	# do not ship static libraries
	find debian/tmp -type f -name '*.a' -print -delete

## kdeconnect 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Release Service Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdeconnect VERSION ${RELEASE_SERVICE_VERSION})

=== cli/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdeconnect-cli\")

add_executable(kdeconnect-cli kdeconnect-cli.cpp)
ecm_mark_nongui_executable(kdeconnect-cli)

target_link_libraries(kdeconnect-cli
    kdeconnectinterfaces
    kdeconnectcore
    kdeconnectversion
    KF6::CoreAddons
    KF6::I18n
    KF6::Crash
)

install(TARGETS kdeconnect-cli ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES kdeconnect.zsh RENAME _kdeconnect DESTINATION ${KDE_INSTALL_ZSHAUTOCOMPLETEDIR})

=== data/CMakeLists.txt ===
install (FILES "kdeconnect.contract" DESTINATION ${KDE_INSTALL_DATADIR}/contractor/)
install (FILES "kdeconnect-thunar.desktop" DESTINATION ${KDE_INSTALL_DATADIR}/Thunar/sendto/)
install (FILES "kdeconnect-dde.desktop" DESTINATION ${KDE_INSTALL_DATADIR}/deepin/dde-file-manager/oem-menuextensions/)

install(FILES org.kde.kdeconnect.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== plugins/contacts/CMakeLists.txt ===
kdeconnect_add_plugin(kdeconnect_contacts SOURCES contactsplugin.cpp)
target_link_libraries(kdeconnect_contacts
    kdeconnectcore
    Qt::DBus
)

=== plugins/telephony/CMakeLists.txt ===
kdeconnect_add_plugin(kdeconnect_telephony SOURCES telephonyplugin.cpp)
target_link_libraries(kdeconnect_telephony
    kdeconnectcore
    KF6::I18n
    KF6::Notifications
    Qt::DBus
)

=== debian/changelog ===
kdeconnect (25.08.2-0zneon+24.04+noble+release+build44) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 05:23:21 +0000

kdeconnect (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:48:03 +0000

kdeconnect (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:52:12 +0000

## kdeconnect 25.08.2+p24.04+vstable+git20251019.0251

=== debian/changelog ===
kdeconnect (25.08.2+p24.04+vstable+git20251019.0251-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:51:16 +0000

## kdeconnect 25.08.2+p24.04+vstable+git20251020.0058

=== debian/changelog ===
kdeconnect (25.08.2+p24.04+vstable+git20251020.0058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:58:10 +0000

## kdeconnect 25.08.2+p24.04+vstable+git20251021.0300

=== debian/changelog ===
kdeconnect (25.08.2+p24.04+vstable+git20251021.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:00:31 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>
# SPDX-FileCopyrightText: 2024 Harald Sitter <sitter@kde.org>

%:
	dh $@ --with kf6 --buildsystem kf6

## kdeconnect 25.08.2+p24.04+vstable+git20251028.0954

=== debian/changelog ===
kdeconnect (25.08.2+p24.04+vstable+git20251028.0954-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:54:21 +0000

## kdeconnect 25.08.2+p24.04+vstable+git20251031.0903

=== debian/changelog ===
kdeconnect (25.08.2+p24.04+vstable+git20251031.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:03:42 +0000

## kdeconnect 25.08.2+p24.04+vunstable+git20251020.1110

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Release Service Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdeconnect VERSION ${RELEASE_SERVICE_VERSION})
@@ -67,9 +67,15 @@
 if(UNIX AND NOT APPLE)
     option(WITH_X11 "Build with X11 support" ON)
     option(WITH_PULSEAUDIO "Build with Pulseaudio support" ON)
+
+    option(INSTALL_UFW_APPLICATION_RULE "Install application rule for ufw (firewall)" ON)
+    add_feature_info("INSTALL_UFW_APPLICATION_RULE"
+                 INSTALL_UFW_APPLICATION_RULE
+                 "Install application rule for ufw (firewall)")
 else()
     set(WITH_X11 OFF)
     set(WITH_PULSEAUDIO OFF)
+    set(INSTALL_UFW_APPLICATION_RULE OFF)
 endif()
 
 if(UNIX AND NOT APPLE)

=== debian/changelog ===
kdeconnect (25.08.2+p24.04+vunstable+git20251020.1110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:10:34 +0000
